<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Event/etc/events.xsd">
    <event name="wtai_prepare_settings">
        <observer name="wtai_prepare_settings_observer" instance="WriteTextAI\WriteTextAI\Observer\PrepareSettings" />
    </event>
    <event name="admin_system_config_changed_section_writetextai_settings">
		<observer name="writetextai_writetextai_observer_backend_admin_systemconfigchangedsectionwritetextaisettings_admin_system_config_changed_section_writetextai_settings"
            instance="WriteTextAI\WriteTextAI\Observer\Backend\Admin\SystemConfigChangedSectionWritetextaiSettings"/>
	</event>
</config>